Hi,
thank you for your report,

On 01/10/2012 13:30, Colin Watson wrote:
> Package: eyes.js
> Version: 0.1.7-1
> Severity: serious
> Tags: patch
> User: ubuntu-de...@lists.ubuntu.com
> Usertags: origin-ubuntu ubuntu-patch quantal
> 
> eyes.js fails to build in unstable following the node -> nodejs
> renaming.  Here's a patch to take account of that.
> 
>   * Cope with node -> nodejs renaming.
> 
> diff -Nru eyes.js-0.1.7/debian/patches/rename-nodejs.patch 
> eyes.js-0.1.7/debian/patches/rename-nodejs.patch
> --- eyes.js-0.1.7/debian/patches/rename-nodejs.patch  1970-01-01 
> 01:00:00.000000000 +0100
> +++ eyes.js-0.1.7/debian/patches/rename-nodejs.patch  2012-10-01 
> 12:28:09.000000000 +0100
> @@ -0,0 +1,28 @@
> +Description: Cope with node -> nodejs renaming
> +Author: Colin Watson <cjwat...@ubuntu.com>
> +Forwarded: no
> +Last-Update: 2012-10-01
> +
> +Index: b/Makefile
> +===================================================================
> +--- a/Makefile
> ++++ b/Makefile
> +@@ -1,4 +1,4 @@
> + test:
> +-    @@node test/eyes-test.js
> ++    @@nodejs test/eyes-test.js
> + 
> + .PHONY: test
> +Index: b/package.json
> +===================================================================
> +--- a/package.json
> ++++ b/package.json
> +@@ -9,7 +9,7 @@
> +   "dependencies"  : [],
> +   "main"          : "./lib/eyes",
> +   "version"       : "0.1.7",
> +-  "scripts"       : { "test": "node test/*-test.js" },
> ++  "scripts"       : { "test": "nodejs test/*-test.js" },
> +   "directories"   : { "lib": "./lib", "test": "./test" },
> +   "engines"       : { "node": "> 0.1.90" }
> + }

It is not necessary to modify package.json.
If it is, there's something wrong with the packaging of eyes.js.

Jérémy.

_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to